/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*-
 *
 * Copyright (C) 2006 Steve Frécinaux <steve@istique.net>
 *
 * Licensed under the GNU General Public License Version 2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef __MALEM_FACTORY_CLIENT_H__
#define __MALEM_FACTORY_CLIENT_H__

#include <glib-object.h>
#include "malem-factory.h"

G_BEGIN_DECLS

#define MALEM_TYPE_FACTORY_CLIENT		(malem_factory_client_get_type ())
#define MALEM_FACTORY_CLIENT(o)			(G_TYPE_CHECK_INSTANCE_CAST ((o), MALEM_TYPE_FACTORY_CLIENT, MalemFactoryClient))
#define MALEM_FACTORY_CLIENT_CLASS(k)		(G_TYPE_CHECK_CLASS_CAST((k), MALEM_TYPE_FACTORY_CLIENT, MalemFactoryClientClass))
#define MALEM_IS_FACTORY_CLIENT(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), MALEM_TYPE_FACTORY_CLIENT))
#define MALEM_IS_FACTORY_CLIENT_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), MALEM_TYPE_FACTORY_CLIENT))
#define MALEM_FACTORY_CLIENT_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), MALEM_TYPE_FACTORY_CLIENT, MalemFactoryClientClass))

typedef struct _MalemFactoryClientPrivate MalemFactoryClientPrivate;

typedef struct _MalemFactoryClient {
	GObject                    object;
	MalemFactoryClientPrivate *priv;
} MalemFactoryClient;

typedef struct _MalemFactoryClientClass {
	GObjectClass object_class;
} MalemFactoryClientClass;

GType			 malem_factory_client_get_type		(void);
MalemFactoryClient	*malem_factory_client_get_default	(void);

G_END_DECLS

#endif
