/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*-
 *
 * Copyright (C) 2006 Steve Frécinaux <steve@istique.net>
 *
 * Licensed under the GNU General Public License Version 2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef __MALEM_TASK_CLIENT_H__
#define __MALEM_TASK_CLIENT_H__

#include <glib-object.h>
#include "malem-task.h"
#include <dbus/dbus-glib.h>

G_BEGIN_DECLS

#define MALEM_TYPE_TASK_CLIENT	 	(malem_task_client_get_base_type ())
#define MALEM_TASK_CLIENT(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), MALEM_TYPE_TASK_CLIENT, MalemTaskClient))
#define MALEM_TASK_CLIENT_CLASS(k)	(G_TYPE_CHECK_CLASS_CAST((k), MALEM_TYPE_TASK_CLIENT, MalemTaskClientClass))
#define MALEM_IS_TASK_CLIENT(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), MALEM_TYPE_TASK_CLIENT))
#define MALEM_IS_TASK_CLIENT_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), MALEM_TYPE_TASK_CLIENT))
#define MALEM_TASK_CLIENT_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), MALEM_TYPE_TASK_CLIENT, MalemTaskClientClass))

typedef struct _MalemTaskClientPrivate MalemTaskClientPrivate;

typedef struct _MalemTaskClient {
	GInitiallyUnowned  object;
	
	/*< private >*/
	DBusGProxy       *proxy;
	gchar            *object_path;

	MalemTaskClientPrivate  *priv;
} MalemTaskClient;

typedef GInitiallyUnownedClass MalemTaskClientClass;

GType		 malem_task_client_get_base_type	(void) G_GNUC_CONST;
GType		 malem_task_client_get_type		(const gchar *ifaces[]) G_GNUC_CONST;


G_END_DECLS

#endif
