/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*-
 *
 * Copyright (C) 2006 Steve Frécinaux <steve@istique.net>
 *
 * Licensed under the GNU General Public License Version 2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef __MALEM_ALIGNED_WINDOW_H__
#define __MALEM_ALIGNED_WINDOW_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define MALEM_TYPE_ALIGNED_WINDOW		(malem_aligned_window_get_type ())
#define MALEM_ALIGNED_WINDOW(o)			(G_TYPE_CHECK_INSTANCE_CAST ((o), MALEM_TYPE_ALIGNED_WINDOW, MalemAlignedWindow))
#define MALEM_ALIGNED_WINDOW_CLASS(k)		(G_TYPE_CHECK_CLASS_CAST((k), MALEM_TYPE_ALIGNED_WINDOW, MalemAlignedWindowClass))
#define MALEM_IS_ALIGNED_WINDOW(o)	 	(G_TYPE_CHECK_INSTANCE_TYPE ((o), MALEM_TYPE_ALIGNED_WINDOW))
#define MALEM_IS_ALIGNED_WINDOW_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), MALEM_TYPE_ALIGNED_WINDOW))
#define MALEM_ALIGNED_WINDOW_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), MALEM_TYPE_ALIGNED_WINDOW, MalemAlignedWindowClass))

typedef struct {
	GtkWindow  window;
	/*< private >*/
	GtkWidget     *frame;
	GtkStatusIcon *icon;
} MalemAlignedWindow;

typedef GtkWindowClass MalemAlignedWindowClass;

GType		 malem_aligned_window_get_type		(void);
GtkWidget	*malem_aligned_window_new		(GtkStatusIcon *icon);
void		 malem_aligned_window_update_position	(MalemAlignedWindow *window);

G_END_DECLS

#endif /* __MALEM_ALIGNED_WINDOW_H__ */
