/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*-
 *
 * Copyright (C) 2006 Steve Frécinaux <steve@istique.net>
 *
 * Licensed under the GNU General Public License Version 2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef __MALEM_TASK_LIST_MODEL_H__
#define __MALEM_TASK_LIST_MODEL_H__

#include <gtk/gtktreemodel.h>
#include "malem-task-list.h"

G_BEGIN_DECLS

#define TNY_TYPE_MSG_HEADER_LIST_MODEL_COLUMN (tny_msg_header_list_model_column_get_type())

typedef enum _MalemTaskListModelColumn	MalemTaskListModelColumn;

enum _MalemTaskListModelColumn {
	MALEM_TASK_LIST_MODEL_OBJECT,
	MALEM_TASK_LIST_MODEL_TITLE,
	MALEM_TASK_LIST_MODEL_PROGRESS,
	MALEM_TASK_LIST_MODEL_STATUS,
	MALEM_TASK_LIST_MODEL_OWNER,
	MALEM_TASK_LIST_MODEL_N_COLUMNS
};

#define MALEM_TYPE_TASK_LIST_MODEL		(malem_task_list_model_get_type ())
#define MALEM_TASK_LIST_MODEL(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), MALEM_TYPE_TASK_LIST_MODEL, MalemTaskListModel))
#define MALEM_TASK_LIST_MODEL_CLASS(k)		(G_TYPE_CHECK_CLASS_CAST ((k), MALEM_TYPE_TASK_LIST_MODEL, MalemTaskListModelClass))
#define MALEM_IS_TASK_LIST_MODEL(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), MALEM_TYPE_TASK_LIST_MODEL))
#define MALEM_IS_TASK_LIST_MODEL_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), MALEM_TYPE_TASK_LIST_MODEL))
#define MALEM_TASK_LIST_MODEL_GET_CLASS(oj)	(G_TYPE_INSTANCE_GET_INTERFACE ((o), MALEM_TYPE_TASK_LIST_MODEL, MalemTaskListModelClass))

typedef struct _MalemTaskListModel        MalemTaskListModel;
typedef struct _MalemTaskListModelPrivate MalemTaskListModelPrivate;
typedef GObjectClass                      MalemTaskListModelClass;

struct _MalemTaskListModel {
	GObject                    parent;
	MalemTaskList		  *tasklist; /* Actual store for Task objects */
	MalemTaskListModelPrivate *priv;
};

GType			 malem_task_list_model_column_get_type	(void);
GType			 malem_task_list_model_get_type		(void);
GtkTreeModel		*malem_task_list_model_new		(MalemTaskList *tasklist);

G_END_DECLS

#endif
