/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*-
 *
 * Copyright (C) 2006 Steve Frécinaux <steve@istique.net>
 *
 * Licensed under the GNU General Public License Version 2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif
#include "malem-frobnicator.h"
#include "malem-task.h"

static gboolean
malem_frobnicator_dbus_say_hello (MalemFrobnicator  *frobnicator,
				  gchar            **message,
				  GError           **error)
{
	*message = malem_frobnicator_say_hello (frobnicator);
	return TRUE;
}

#include "malem-frobnicator-dbus-glue.h"

static void
malem_frobnicator_class_init (gpointer g_iface)
{
	GType iface_type = G_TYPE_FROM_INTERFACE (g_iface);

	dbus_g_object_type_install_info (iface_type,
					 &dbus_glib_malem_frobnicator_object_info);

}

GType
malem_frobnicator_get_type (void)
{
	static GType the_type = 0;
	
	if (G_UNLIKELY (the_type == 0)) {
		static const GTypeInfo info = {
			sizeof (MalemFrobnicatorIface),
			NULL, NULL,
			(GClassInitFunc) malem_frobnicator_class_init,
			NULL, NULL, 0, 0, NULL
		};
		
		the_type = g_type_register_static (G_TYPE_INTERFACE,
						   g_intern_static_string ("MalemFrobnicator"),
						   &info, 0);
		g_type_interface_add_prerequisite (the_type, MALEM_TYPE_TASK);
	}
	return the_type;
}

gchar *
malem_frobnicator_say_hello (MalemFrobnicator *frobnicator)
{
	g_return_val_if_fail (MALEM_IS_FROBNICATOR (frobnicator), NULL);

	return (* MALEM_FROBNICATOR_GET_IFACE (frobnicator)->say_hello) (frobnicator);
}
