/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*-
 *
 * Copyright (C) 2006 Steve Frécinaux <steve@istique.net>
 *
 * Licensed under the GNU General Public License Version 2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef __MALEM_FROBNICATOR_H__
#define __MALEM_FROBNICATOR_H__

#include <glib-object.h>

G_BEGIN_DECLS

#define MALEM_TYPE_FROBNICATOR			(malem_frobnicator_get_type ())
#define MALEM_FROBNICATOR(obj)			(G_TYPE_CHECK_INSTANCE_CAST ((obj), MALEM_TYPE_FROBNICATOR, MalemFrobnicator))
#define MALEM_FROBNICATOR_CLASS(obj)		(G_TYPE_CHECK_CLASS_CAST ((obj), MALEM_TYPE_FROBNICATOR, MalemFrobnicatorIface))
#define MALEM_IS_FROBNICATOR(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), MALEM_TYPE_FROBNICATOR))
#define MALEM_FROBNICATOR_GET_IFACE(obj)	(G_TYPE_INSTANCE_GET_INTERFACE ((obj), MALEM_TYPE_FROBNICATOR, MalemFrobnicatorIface))

typedef struct _MalemFrobnicator	MalemFrobnicator; /* dummy */
typedef struct _MalemFrobnicatorIface	MalemFrobnicatorIface;

struct _MalemFrobnicatorIface {
	GTypeInterface interface;
	
	/* signals */

	/* virtual table */
	gchar	*(* say_hello)	(MalemFrobnicator *frobnicator);
};

GType    malem_frobnicator_get_type	(void) G_GNUC_CONST;

gchar	*malem_frobnicator_say_hello	(MalemFrobnicator *frobnicator);

/* This inits the interface with the default implementation for task */
void 	 malem_frobnicator_iface_init_default	(MalemFrobnicatorIface *iface);
void 	 malem_frobnicator_init_default		(MalemFrobnicator      *frobnicator);


G_END_DECLS

#endif
