/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*-
 *
 * Copyright (C) 2006 Steve Frécinaux <steve@istique.net>
 *
 * Licensed under the GNU General Public License Version 2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef __MALEM_APP_H__
#define __MALEM_APP_H__

#include <glib-object.h>
#include "interfaces/malem-factory.h"

G_BEGIN_DECLS

#define MALEM_TYPE_APP		(malem_app_get_type ())
#define MALEM_APP(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), MALEM_TYPE_APP, MalemApp))
#define MALEM_APP_CLASS(k)	(G_TYPE_CHECK_CLASS_CAST((k), MALEM_TYPE_APP, MalemAppClass))
#define MALEM_IS_APP(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), MALEM_TYPE_APP))
#define MALEM_IS_APP_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), MALEM_TYPE_APP))
#define MALEM_APP_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), MALEM_TYPE_APP, MalemAppClass))

typedef struct _MalemAppPrivate MalemAppPrivate;

typedef struct _MalemApp {
	GObject          object;
	MalemAppPrivate *priv;
} MalemApp;

typedef struct _MalemAppClass {
	GObjectClass object_class;
} MalemAppClass;

GType		 malem_app_get_type		(void);
MalemApp	*malem_app_get_default		(void);

G_END_DECLS

#endif
