/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*-
 *
 * Copyright (C) 2006 Steve Frécinaux <steve@istique.net>
 *
 * Licensed under the GNU General Public License Version 2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef __MALEM_DEBUG_H__
#define __MALEM_DEBUG_H__

#include <glib.h>

G_BEGIN_DECLS

void	malem_debug_init		(void) G_GNUC_INTERNAL;

void	malem_debug_real		(const gchar *section,
					 const gchar *file,
					 gint         line,
					 const gchar *function,
					 const gchar *format,
					 ...)
					 G_GNUC_INTERNAL G_GNUC_PRINTF(5, 6);

#define malem_debug(_s, _f, _args...) \
	(malem_debug_real (_s, __FILE__, __LINE__, G_STRFUNC, _f, ##_args))

G_END_DECLS

#endif /* __MALEM_DEBUG_H__ */
