/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*-
 *
 * Copyright (C) 2006 Steve Frécinaux <steve@istique.net>
 *
 * Licensed under the GNU General Public License Version 2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <locale.h>
#include <glib/gi18n.h>
#include <gtk/gtk.h>
#include <libnotify/notify.h>
#include "malem-app.h"
#include "malem-debug.h"

int
main (int argc, char **argv)
{
	MalemApp *app;

	malem_debug_init ();
	malem_debug ("app", "Startup");
	
	setlocale (LC_ALL, "");

	bindtextdomain (GETTEXT_PACKAGE, MALEM_LOCALEDIR);
	bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
	textdomain (GETTEXT_PACKAGE);

	malem_debug ("app", "Run gtk_init");

	gtk_init (&argc, &argv);
	notify_init (argv[0]);
	
	malem_debug ("app", "Done gtk_init");
	
	malem_debug ("app", "Create MalemApp");
	
	app = malem_app_get_default ();
	if (app == NULL) {
		g_print ("Mathusalem is already running. Exiting\n");
		return 0;
	}

	malem_debug ("app", "Set icon");
	
	gtk_window_set_default_icon_name ("applications-other");

	malem_debug ("app", "Run gtk_main");

	gtk_main ();
	
	notify_uninit ();
	return 0;
}
