/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*-
 *
 * Copyright (C) 2006 Steve Frécinaux <steve@istique.net>
 *
 * Licensed under the GNU General Public License Version 2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef __MALEM_TASK_DEFAULT_H__
#define __MALEM_TASK_DEFAULT_H__

#include <glib-object.h>
#include "interfaces/malem-task.h"

G_BEGIN_DECLS

#define MALEM_TYPE_TASK_DEFAULT 	(malem_task_default_get_base_type ())
#define MALEM_TASK_DEFAULT(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), MALEM_TYPE_TASK_DEFAULT, MalemTaskDefault))
#define MALEM_TASK_DEFAULT_CLASS(k)	(G_TYPE_CHECK_CLASS_CAST((k), MALEM_TYPE_TASK_DEFAULT, MalemTaskDefaultClass))
#define MALEM_IS_TASK_DEFAULT(o)	(G_TYPE_CHECK_INSTANCE_TYPE ((o), MALEM_TYPE_TASK_DEFAULT))
#define MALEM_IS_TASK_DEFAULT_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), MALEM_TYPE_TASK_DEFAULT))
#define MALEM_TASK_DEFAULT_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), MALEM_TYPE_TASK_DEFAULT, MalemTaskDefaultClass))

typedef struct _MalemTaskDefaultPrivate MalemTaskDefaultPrivate;

typedef struct _MalemTaskDefault {
	GInitiallyUnowned  object;
	
	/*< private >*/
	MalemTaskDefaultPrivate  *priv;
} MalemTaskDefault;

typedef GInitiallyUnownedClass MalemTaskDefaultClass;

GType			 malem_task_default_get_base_type	(void) G_GNUC_CONST;
GType			 malem_task_default_get_type		(const gchar *ifaces[]) G_GNUC_CONST;
MalemTaskDefault	*malem_task_default_new			(const gchar *ifaces[],
								 const gchar *title,
								 const gchar *owner);

G_END_DECLS

#endif
