/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*-
 *
 * Copyright (C) 2006 Steve Frécinaux <steve@istique.net>
 *
 * Licensed under the GNU General Public License Version 2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef __MALEM_TASK_LIST_ITER_H__
#define __MALEM_TASK_LIST_ITER_H__

#include <glib.h>
#include <glib-object.h>
#include "interfaces/malem-task.h"

G_BEGIN_DECLS

#define MALEM_TYPE_TASK_LIST_ITER	(malem_task_list_iter_get_type ())
#define MALEM_TASK_LIST_ITER(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), MALEM_TYPE_TASK_LIST_ITER, MalemTaskListIter))

typedef struct _MalemTaskListIter MalemTaskListIter;

struct _MalemTaskListIter {
	/* GtkTextIter is an opaque datatype; ignore all these fields.
	 * Initialize the iter with malem_task_list_get_iter_* functions.
	 */
	/*< private >*/
	gint       stamp;
	GList     *llink;
	gpointer  *tasklist;
};

GType			 malem_task_list_iter_get_type	(void);

MalemTaskListIter	*malem_task_list_iter_copy	(const MalemTaskListIter *iter);
void			 malem_task_list_iter_free	(MalemTaskListIter       *iter);

guint		 malem_task_list_iter_get_position	(MalemTaskListIter *iter);

gboolean	 malem_task_list_iter_previous		(MalemTaskListIter *iter);
gboolean	 malem_task_list_iter_next		(MalemTaskListIter *iter);

gboolean	 malem_task_list_iter_is_first		(MalemTaskListIter *iter);
gboolean	 malem_task_list_iter_is_last		(MalemTaskListIter *iter);

MalemTask	*malem_task_list_iter_get_task		(MalemTaskListIter *iter);

G_END_DECLS

#endif
